{"command":{"effect":"write","timeoutSeconds":30,"inputSchema":{"type":"object","description":"To update a data source (e.g. chunking options), send a PUT request to `/v2/gen-ai/knowledge_bases/{knowledge_base_uuid}/data_sources/{data_source_uuid}`.","properties":{"path":{"type":"object","properties":{"knowledge_base_uuid":{"type":"string","examples":["123e4567-e89b-12d3-a456-426614174000"],"description":"Knowledge Base ID (Path Parameter)"},"data_source_uuid":{"type":"string","examples":["123e4567-e89b-12d3-a456-426614174000"],"description":"Data Source ID (Path Parameter)"}},"required":["knowledge_base_uuid","data_source_uuid"],"additionalProperties":false},"body":{"$ref":"#/definitions/apiUpdateKnowledgeBaseDataSourceInputPublic"}},"required":["path"],"additionalProperties":false,"definitions":{"apiUpdateKnowledgeBaseDataSourceInputPublic":{"description":"Update a data source of a knowledge base with change in chunking algorithm/options","properties":{"chunking_algorithm":{"$ref":"#/definitions/apiChunkingAlgorithm"},"chunking_options":{"$ref":"#/definitions/apiChunkingOptions"},"data_source_uuid":{"description":"Data Source ID (Path Parameter)","type":"string","examples":["\"98765432-1234-1234-1234-123456789012\""]},"knowledge_base_uuid":{"description":"Knowledge Base ID (Path Parameter)","type":"string","examples":["\"12345678-1234-1234-1234-123456789012\""]}},"type":"object"},"apiChunkingAlgorithm":{"default":"CHUNKING_ALGORITHM_UNKNOWN","enum":["CHUNKING_ALGORITHM_UNKNOWN","CHUNKING_ALGORITHM_SECTION_BASED","CHUNKING_ALGORITHM_HIERARCHICAL","CHUNKING_ALGORITHM_SEMANTIC","CHUNKING_ALGORITHM_FIXED_LENGTH"],"type":"string","examples":["CHUNKING_ALGORITHM_UNKNOWN"]},"apiChunkingOptions":{"properties":{"child_chunk_size":{"type":"integer","examples":[350]},"max_chunk_size":{"description":"Common options","type":"integer","examples":[750]},"parent_chunk_size":{"description":"Hierarchical options","type":"integer","examples":[1000]},"semantic_threshold":{"description":"Semantic options","type":"number","examples":[0.5]}},"type":"object"}}},"name":"Update Data Source options","id":"digitalocean.genai_update_knowledge_base_data_source","example":{"path":{"knowledge_base_uuid":"123e4567-e89b-12d3-a456-426614174000","data_source_uuid":"123e4567-e89b-12d3-a456-426614174000"}},"maxRequests":1,"summary":false}}